Tool: get_cost_report_config
Retrieves the configuration details of an existing cost and utilization report (dimensions, metrics, filter, scope, and expire_time). Use this tool to inspect what an existing report measures and check its expiration time before reading data. Returns configuration metadata only, not actual cost data rows (use read_cost_report for data).
Required IAM on the scoped project: - roles/appoptimize.viewer or roles/appoptimize.admin to get report configuration.
The following code sample shows how to use curl to call the get_cost_report_config MCP tool.
| Curl Request |
|---|
curl --location 'https://appoptimize.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "get_cost_report_config", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for the GetReport method.
GetReportRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the report to retrieve. Format: |
Output Schema
A configuration that defines the parameters for the data represented by a report.
Report
| JSON representation |
|---|
{ "name": string, "dimensions": [ string ], "metrics": [ string ], "scopes": [ { object ( |
| Fields | |
|---|---|
name |
Identifier. The name of this report. |
dimensions[] |
Required. A list of dimensions to include in the report. Supported values:
To aggregate results by time, specify at least one time dimension (
Supported dimension combinations:
Any of the above combinations can optionally include one or more time dimensions ( Metric constraints:
If the time range filter does not align with the selected time dimension, the range is expanded to encompass the full period of the finest-grained time dimension. For example, if the filter is |
metrics[] |
Required. A list of metrics to include in the report. Supported values:
|
scopes[] |
Optional. The resource containers for which to fetch data. Default is the project specified in the report's parent. No more than one scope is supported. |
filter |
Optional. A Common Expression Language (CEL) expression used to filter the data for the report. Predicates may refer to any dimension. Filtering must conform to these constraints:
Examples:
If the filter omits time dimensions ( For example, if the current Pacific Time is |
Union field expiration. Defines this report's expiration time. expiration can be only one of the following: |
|
expireTime |
Output only. Timestamp in UTC of when this report expires. Once the report expires, it will no longer be accessible and the report's underlying data will be deleted. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Scope
| JSON representation |
|---|
{ // Union field |
| Fields | |
|---|---|
Union field
|
|
project |
Required (oneof). A Google Cloud Platform project to fetch data from. Format: Exactly one of |
application |
Required (oneof). An App Hub Application to fetch data from. Format: Exactly one of |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌